Cantera 2.6.0

Public Member Functions | Private Attributes | List of all members
AnyMap::OrderedIterator Class Reference

Defined to allow the OrderedProxy class to be used with range-based for loops. More...

`#include <AnyMap.h>`

## Public Member Functions
| OrderedIterator (const OrderedProxy::OrderVector::const_iterator &start, const OrderedProxy::OrderVector::const_iterator &stop)
const std::pair< const std::string, AnyValue > & | operator* () const
const std::pair< const std::string, AnyValue > * | operator-> () const
bool | operator!= (const OrderedIterator &right) const
OrderedIterator & | operator++ ()

## Private Attributes
OrderedProxy::OrderVector::const_iterator | m_iter
OrderedProxy::OrderVector::const_iterator | m_stop

## Detailed Description

Defined to allow the OrderedProxy class to be used with range-based for loops.

Definition at line 562 of file AnyMap.h.

## Constructor & Destructor Documentation

## ◆ OrderedIterator()

OrderedIterator | ( |  | ) |
| inline

Definition at line 564 of file AnyMap.h.

## Member Function Documentation

## ◆ operator*()

const std::pair< const std::string, AnyValue > & operator* | ( |  | ) | const
| inline

Definition at line 568 of file AnyMap.h.

## ◆ operator->()

const std::pair< const std::string, AnyValue > * operator-> | ( |  | ) | const
| inline

Definition at line 571 of file AnyMap.h.

## ◆ operator!=()

bool operator!= | ( | const OrderedIterator & | right | ) | const
| inline

Definition at line 574 of file AnyMap.h.

## ◆ operator++()

OrderedIterator & operator++ | ( |  | ) |
| inline

Definition at line 577 of file AnyMap.h.

## Member Data Documentation

## ◆ m_iter

OrderedProxy::OrderVector::const_iterator m_iter
| private

Definition at line 580 of file AnyMap.h.

## ◆ m_stop

OrderedProxy::OrderVector::const_iterator m_stop
| private

Definition at line 581 of file AnyMap.h.

The documentation for this class was generated from the following file:

- AnyMap.h